%define name	rezound
%define version	0.8.3
%define release 0.1mdk

Summary:	Audio Editing Package
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://rezound.sourceforge.net/
Source0: 	%{name}-%{version}beta.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libvorbis-devel 
BuildRequires:  libfox1.0-devel
BuildRequires:  libaudiofile-devel flex
BuildRequires:  libjack-devel
BuildRequires:  libfftw-devel
BuildRequires:  libflac++-devel
BuildRequires:  bison >= 1.875-3mdk

%description
ReZound aims to be a stable, open source, and graphical audio file editor 
primarily for but not limited to the Linux operating system.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %name-%{version}beta
#gw regenerate it with new bison that is compatible with gcc 3.3
rm -f src/misc/CNestedDataFile/cfg.tab.cc

%build
%configure2_5x
%make

%install
%makeinstall
mkdir -p %buildroot/%{_docdir}/%name-%version
mv %buildroot/usr/doc/* %buildroot/%{_docdir}/%name-%version

# Menu
mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="sound_section.png" section="Multimedia/Sound" \
title="Rezound" longtitle="Digital audio editor"
EOF

%find_lang %name

%clean
rm -rf %buildroot/

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_menudir}/*
%{_datadir}/rezound
%_docdir/%name-%version

%changelog
* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.1mdk
- new version

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-0.1mdk
- new version

* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-0.1mdk
- new version

* Thu Jun 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.1mdk
- enable flac support
- add translation files
- requires new bison
- autoconf 2.5 macro
- drop the patch
- new version

* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-0.4mdk
- buildrequires

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-0.3mdk
- patch to make it compile with latest gcc

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-0.2mdk
- fix buildrequires

* Wed Feb 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-0.1mdk
- parallel make
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.2mdk
- rebuild for new ssl

* Mon Oct 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1mdk
- new version

* Fri Oct 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.1mdk
- disable parallel build
- drop patch
- 0.5.0beta

* Wed Oct  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-0.3mdk
- patch for libfox 1.0 API
- build with libfox1.0

* Tue Oct 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-0.2mdk
- rebuild with new fox

* Sun Sep  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-0.1mdk
- parallel build
- drop patch
- 0.4.0beta

* Fri Sep  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-0.3mdk
- rebuild with FOX 1.1.14

* Mon Aug 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-0.2mdk
- fix rpmlint warning (compress patch)
- fix requires and buildrequires

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-0.1mdk
- fix files section
- add official Patch0
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 8.2+
